
QGIS Application - Bug report #1131

shapefile export of PostGIS layer: field size for integer is too small

2008-06-24 02:15 AM - Bernhard Ströbl

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11191

Description

Any integer field in a [[PostGIS]] table is exported as numeric with 4 digits only in the dbf-file, resulting in a data loss for numbers larger

than 9999. The table view in QGIS shows the correct numbers, though.

Defect has been reproduced on Win2K and [[OpenSuse]] 10.3, so I assume all platforms are affected. Server is Postgres 8.2.4 with

[[PostGIS]] 1.2.1.

Associated revisions

Revision 44e3a246 - 2008-06-24 11:51 AM - Jürgen Fischer

fix #1131

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8677 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1dd0f3e8 - 2008-06-24 11:51 AM - Jürgen Fischer

fix #1131

git-svn-id: http://svn.osgeo.org/qgis/trunk@8677 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 92259740 - 2009-08-21 03:32 PM - Jürgen Fischer

postgres & ogr provider update:

- postgres provider: report field width 1 for everything except strings (fixes #1131)

 in vector file writer, ogr provider choose field width:

  - 255 for strings, when given width is negative or larger.

    (was 80 in ogr provider and OGR determined-default for vector file writer).

  - 10 for integers, when given width is negative or larger.

  - 32 for reals, when given width is negative or larger.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11464 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 793b0918 - 2009-08-21 03:32 PM - Jürgen Fischer

postgres & ogr provider update:

- postgres provider: report field width 1 for everything except strings (fixes #1131)

 in vector file writer, ogr provider choose field width:
  - 255 for strings, when given width is negative or larger.

    (was 80 in ogr provider and OGR determined-default for vector file writer).

  - 10 for integers, when given width is negative or larger.

  - 32 for reals, when given width is negative or larger.

git-svn-id: http://svn.osgeo.org/qgis/trunk@11464 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-06-24 02:52 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:1dd0f3e8 (SVN r8678) by adapting the behaviour of the ogr provider.

#2 - 2009-08-21 03:40 AM - barpasen -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

#3 - 2009-08-21 06:37 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

looks like commit:16b91c6b (SVN r11219) broke this again.

commit:793b0918 (SVN r11465) should fix it.
